Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Bug #2496

NA Button Back on review details for Administrator
02/01/2017 08:59 AM - Oleksii Kurasov

Status: Closed Start date: 02/01/2017
Priority: Urgent Due date: 02/06/2017
Assignee: Oleksii Kurasov % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Does not work as expected

History

#1 - 02/03/2017 06:17 AM - Oleksii Kurasov

- Status changed from New to Resolved

#2 - 02/06/2017 05:13 AM - Oleksii Kurasov
- Due date changed from 02/02/2017 to 02/06/2017

#3 - 02/06/2017 07:01 AM - Oleksii Kurasov

- Status changed from Resolved to Closed
